### Struct

# GObject FlagsClass

since: 2.0

#### Description

    struct GFlagsClass {
      GTypeClass g_type_class;
      guint mask;
      guint n_values;
      GFlagsValue* values;
    }

The class of a flags type holds information about its possible values.

###### Structure members

`g_type_class`

  The parent class.

`mask`

  A mask covering all possible values.

`n_values`

  The number of possible values.

`values`

  An array of `GFlagsValue` structs describing the individual values.

Available since: 2.0